---

#
# JSON Schema definition for `local` provision plugin
#
# https://tmt.readthedocs.io/en/stable/spec/plans.html#local
#

$id: /schemas/provision/local
$schema: https://json-schema.org/draft-07/schema

type: object
additionalProperties: false

properties:

  how:
    type: string
    enum:
      - local

  name:
    type: string

  role:
    $ref: "/schemas/common#/definitions/role"

  environment:
    $ref: "/schemas/common#/definitions/environment"

required:
  - how
